### Method

# Fwupd Device has_protocol

#### Declaration [src]

    gboolean
    fwupd_device_has_protocol (
      FwupdDevice* self,
      const gchar* protocol
    )

#### Description [src]

Finds out if the device has this specific protocol name.

Available since: | 1.5.8

#### Parameters

`protocol` | `const gchar*`
| The protocol name, e.g. `com.hughski.colorhug`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the protocol name is found.